package com.artfess.cqlt.manager;

import com.artfess.cqlt.model.QfFinancePlM;
import com.artfess.base.manager.BaseManager;
import com.artfess.poi.util.HeaderNode;

import java.util.List;

/**
 * 财务--利润填报主表 服务类
 *
 * @company 阿特菲斯信息技术有限公司
 * @author min.wu
 * @since 2023-03-02
 */
public interface QfFinancePlMManager extends BaseManager<QfFinancePlM> {

    boolean insertInfo(QfFinancePlM t);

    boolean updateInfo(QfFinancePlM t);

    boolean updateStatus(QfFinancePlM t);

    boolean importExcel(List<HeaderNode> list, String mainId);
}
